org.jboss.netty.channel.socket

## Interface Worker

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  NioDatagramWorker, NioWorker

    public interface Worker
    extends Runnable

A `Worker` is responsible to dispatch IO operations

### Method Summary

Methods
`void` `executeInIoThread(Runnable task)` Execute the given `Runnable` in the IO-Thread.

### Methods inherited from interface java.lang.Runnable

`run`

### Method Detail

#### executeInIoThread

    void executeInIoThread(Runnable task)

Execute the given `Runnable` in the IO-Thread. This may be now or later once the IO-Thread do some other work.

Parameters:
  `task` - the `Runnable` to execute